[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: OL 2.3.20 on Debian Sarge: SASL bind, segmentation fault

> Samuel Tran wrote:
>> Hi All,
>> We are running OL 2.3.20 (+ Berkeley 4.2.52 & patches) on Debian Linux
>> Sarge servers. OL was compiled with Cyrus SASL support but we are not
>> using SASL yet.
> Your trace shows that your SASL library is linked with BerkeleyDB 3. Its
> symbols are getting mixed in with the BDB 4.2 and so you get a crash.

When I compiled Cyrus SASL I did set the CPPFLAGS and LDFLAGS environment
variables so that it could link against BDB 4.2. But it couldn't find BDB
4.2 and linked against BDB 3 instead. I compiled BDB 4.2 with threading
support, which cyrus is unable to directly link against. Adding
"-lpthread" to my LDFLAGS environment variable fixed the problem.

Thank you for the pointer.